Subject: RE: I-D Action: draft-ietf-6man-default-iids-02.txt

From: Dave Thaler <[email-masked]>
Date: Sat, 7 Feb 2015 00:12:43 +0000

Fernando Gont wrote: 
> On 01/23/2015 05:11 PM, James Woodyatt wrote:
> > Everyone-
> >
> >     Link layers MUST define a mechanism that provides that mitigates the
> >     security and privacy implications discussed in Section 1.
> >
> >
> > Editorial nit: "that provides that mitigates" seems like an awkward
> > phrase, and I'm not sure what it means. This is a pretty important
> > requirement specification, so I'd like to see it written with optimal
> > clarity. How about this for starters:
> >
> >   Link layers MUST define a mechanism that provides mitigation of the
> > security and privacy issues discussed in section 1.
> 
> You're right (my bad!) -- will get this fixed in the next rev.

Other editorial suggestions...

Section 1:
First paragraph uses "Interface Identifier" and its acronym "IID".
Second paragraph uses "Interface-ID".
Third paragraph uses "Interface ID".
The last paragraph of section 1 uses "Interface identifier" (i.e., lower case "identifier").
And subsequent text various which of the five is used.
I'd recommend using only "IID" (never "Interface-ID" or "Interface ID")
in paragraphs after the first, just to cut down on the number of gratuitously
different terms.

Section 2: 
Definition of stable address has open paren but no matching close paren:
> An address that does not vary over time within the same network
>  (as defined in [I-D.ietf-6man-ipv6-address-generation-privacy].

Section 3:
I think it would read better if the order of the first two sentences were swapped.

Also, regarding this sentence:
> Nodes SHOULD NOT employ IPv6 address generation schemes that embed
> the underlying link-layer address in the Interface Identifier.

In order to be consistent with the first paragraph of section 3, which makes it
clear that the scheme "employed" is up to the admin that configures it, I believe
it should say "by default", as in:

 By default nodes SHOULD NOT employ IPv6 address generation schemes that embed
 the underlying link-layer address in the Interface Identifier.

And another typo:
> specifications MAY use a an IID based on a node's link-layer address

s/a an/an/

However, I think the entire last paragraph of section 3 is redundant and
it would be better to simply delete it.  (The issue is with the relationship to the
sentence with the MAY in the first paragraph of section 3.  Removing the
last paragraph remove the possible confusion.)

Section 4, typo:
> of privacy and security mentioned in Section 1 1 and explain any

s/1 1/1/

However, I think the statement that those three RFCs are not compatible
with the recommendations in this document, is misleading at best, especially
with the new first paragraph of section 3.  For example, I believe RFC 6282
is compatible with the "MUST define a mechanism ... that mitigates
the security and privacy implications" (e.g., if random MAC addresses are done).
Furthermore RFC 6282 allows multiple mechanisms and I believe it is sufficient
to enable other schemes (I'm writing a draft for 6lo on this topic).   Hence I
would recommend changing "are not compatible" to something softer like
"might require updates to be fully compatible".

-Dave

---

From: Fernando Gont <[email-masked]>
Date: Sat, 07 Feb 2015 08:02:59 +0100

>>>     Link layers MUST define a mechanism that provides that mitigates the
[....]
> Other editorial suggestions...

FWIW, I will apply all of these...

Thanks!

Best regards,
-- 
Fernando Gont
SI6 Networks
e-mail: [email-masked]
PGP Fingerprint: 6666 31C6 D484 63B2 8FB1 E3C4 AE25 0D55 1D4E 7492

---

From: Fernando Gont <[email-masked]>
Date: Sun, 08 Feb 2015 01:17:37 +0100

Hi, Alex,

On 01/26/2015 05:14 PM, Alexandru Petrescu wrote:
> HEllo,
> BEyond fixing the double that, what does this requirement mean to link
> layers?
> 
> For example, ieee 802.11p does not offer security features, assuming
> some other ieee protocol (and why not an IP protocol) will.  Would the
> default-iid requirement still apply to ieee 802.11p links?

The requirement means that the relevant IP-over-foo document should
provide provide an address generation scheme that addresses the security
and privacy issues we've been talking about.

> Also, better privacy needs IIDs bigger than 64 (what does 'mitigate'
> mean).

64-bits is good enough.

> Does default-iid requirement mean that new link layers should
> use IIDs of other length than 64?

Certainly not. We don't change the IPv6 subnet size.

Thanks!

Best regards,